#ifndef SUNANGLEDEFS_H
#define SUNANGLEDEFS_H
typedef struct {
  int lat;
  int lng;
  int time;
} locationdata;

typedef struct {
  Int32 latitude;
  Int32 longitude;
  DateTimeType dateTime;
  UInt8 timeZone;
  Boolean dst;
  Boolean now;
  Boolean TodayCheck;
  Boolean SummerCheck;
  Boolean WinterCheck;
} sunangleInputType;

typedef sunangleInputType *sunangleInputPtr;

typedef struct {
  double altitude;
  double azimuth;
  double declination;
  int bearing;
  TimeType sunRise;
  TimeType sunSet;
} sunangleOutputType;

extern sunangleInputPtr sunangleInput;
extern IndexedColorType GRAY1; 
extern IndexedColorType GRAY2; 
extern IndexedColorType GRAY3; 

#define PI 3.14159265358979323846
#define DEGRAD (PI/180.0)
#define RADDEG (180.0/PI)
#endif
